﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HttpClientStudy.Core
{
    public class HandlerB : DelegatingHandler
    {
        protected override async Task<HttpResponseMessage> SendAsync(HttpRequestMessage request, CancellationToken cancellationToken)
        {
            InnerHandler = new SocketsHttpHandler() { };

            //请求前业务

            var response = await base.SendAsync(request, cancellationToken);

            //响应后业务

            return response;
        }
    }
}
