﻿using Xunit.Abstractions;

namespace HttpClientStudy.UnitTest
{
    /// <summary>
    /// 使用 xUnit 单元测试框架
    /// </summary>
    public class UseXUnitTest
    {
        private readonly ITestOutputHelper _logger;

        public UseXUnitTest(ITestOutputHelper outputHelper)
        {
            _logger = outputHelper;
        }

        [Fact]
        public void UseXUnit_Test()
        {
            _logger.WriteLine("使用 xUnit 单元测试框架！");
            Assert.True(true,"使用 xUnit");
        }
    }
}